Monitors API
Get monitor check results
Retrieve paginated check results for a monitor with optional date and location filters.
Authorization
bearerAuth AuthorizationBearer <token>
CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Path Parameters
id*string
Monitor ID
Format
uuidQuery Parameters
page?integer
Page number for pagination
Default
1Range
1 <= valuelimit?integer
Items per page
Default
20Range
1 <= value <= 100date?string
Filter results to a specific UTC date (YYYY-MM-DD).
Format
datelocation?string
Filter by execution location
Response Body
application/json
application/json
application/json
curl -X GET "https://demo.supercheck.dev/api/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/results"{
"pagination": {
"total": 0,
"page": 0,
"limit": 0,
"totalPages": 0,
"hasNextPage": true,
"hasPrevPage": true
},
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"checkedAt": "2019-08-24T14:15:22Z",
"location": "string",
"status": "up",
"responseTimeMs": 0,
"details": {
"statusCode": 0,
"statusText": "string",
"errorMessage": "string",
"responseHeaders": {
"property1": "string",
"property2": "string"
},
"responseBodySnippet": "string",
"ipAddress": "string",
"location": "string",
"sslCertificate": {
"valid": true,
"issuer": "string",
"subject": "string",
"validFrom": "string",
"validTo": "string",
"daysRemaining": 0
}
},
"isUp": true,
"isStatusChange": true,
"consecutiveFailureCount": 0,
"consecutiveSuccessCount": 0,
"alertsSentForFailure": 0,
"alertsSentForRecovery": 0,
"testExecutionId": "string",
"testReportS3Url": "string",
"executionGroupId": "string"
}
]
}Empty
{
"error": "Unauthorized"
}{
"error": "Not found"
}